GuidanceCounselor = { }

GuidanceCounselor.CareerIconIdToColorLikeIcon =
{
	[20180] = { r =   0, g = 170, b = 250 },	-- | Archmage
	[20181] = { r = 255, g =   0, b =   0 },	-- | Blackguard
	[20182] = { r = 255, g =   0, b =   0 },	-- | Black Orc
	[20183] = { r =   0, g = 170, b = 250 },	-- | Bright Wizard
	[20184] = { r = 255, g =   0, b =   0 },	-- | Choppa
	[20185] = { r = 255, g =   0, b =   0 },	-- | Chosen
	[20186] = { r = 255, g =   0, b =   0 },	-- | Disciple of Khaine
	[20187] = { r =   0, g = 170, b = 250 },	-- | Engineer
	[20188] = { r =   0, g = 170, b = 250 },	-- | Slayer
	[20189] = { r =   0, g = 170, b = 250 },	-- | Ironbreaker
	[20190] = { r =   0, g = 170, b = 250 },	-- | Knight of the Blazing Sun
	[20191] = { r = 255, g =   0, b =   0 },	-- | Magus
	[20192] = { r = 255, g =   0, b =   0 },	-- | Marauder
	[20193] = { r =   0, g = 170, b = 250 },	-- | Rune Priest
	[20194] = { r =   0, g = 170, b = 250 },	-- | Shadow Warrior
	[20195] = { r = 255, g =   0, b =   0 },	-- | Shaman
	[20196] = { r = 255, g =   0, b =   0 },	-- | Sorcerer/Sorceress
	[20197] = { r = 255, g =   0, b =   0 },	-- | Squig Herder
	[20198] = { r =   0, g = 170, b = 250 },	-- | Swordmaster
	[20199] = { r =   0, g = 170, b = 250 },	-- | Warrior Priest
	[20200] = { r =   0, g = 170, b = 250 },	-- | White Lion
	[20201] = { r = 255, g =   0, b =   0 },	-- | Witch Elf
	[20202] = { r =   0, g = 170, b = 250 },	-- | Witch Hunter
	[20203] = { r = 255, g =   0, b =   0 },	-- | Zealot
}

GuidanceCounselor.CareerIconIdToArchetypeId =
{
	[20189] = "TANK",	-- | Ironbreaker
	[20198] = "TANK",	-- | Swordmaster
	[20185] = "TANK",	-- | Chosen
	[20182] = "TANK",	-- | Black Orc
	[20181] = "TANK",	-- | Blackguard
	[20190] = "TANK",	-- | Knight of the Blazing Sun
	
	[20184] = "MPDPS",	-- | Choppa
	[20188] = "MPDPS",	-- | Slayer
	[20200] = "MPDPS",	-- | White Lion
	[20202] = "MPDPS",	-- | Witch Hunter
	[20192] = "MPDPS",	-- | Marauder
	[20201] = "MPDPS",	-- | Witch Elf
	
	[20187] = "RPDPS",	-- | Engineer
	[20194] = "RPDPS",	-- | Shadow Warrior
	[20197] = "RPDPS",	-- | Squig Herder
	
	[20183] = "RMDPS",	-- | Bright Wizard
	[20191] = "RMDPS",	-- | Magus
	[20196] = "RMDPS",	-- | Sorcerer
	[20196] = "RMDPS",	-- | Sorceress
	
	[20199] = "MSUPP",	-- | Warrior Priest
	[20186] = "MSUPP",	-- | Disciple of Khaine
	
	[20193] = "RSUPP",	-- | Rune Priest
	[20180] = "RSUPP",	-- | Archmage
	[20203] = "RSUPP",	-- | Zealot
	[20195] = "RSUPP",	-- | Shaman
}

-- | Credit + Cookie (::) to Aiiane for CleanUnitFrames + Squared
-- | http://www.curseforge.com/profiles/Aiiane/
-- | archetype colors used in GuidanceCounselor are copied from the popular AddOns mentioned above

GuidanceCounselor.ArchetypeIdToArchetypeColor =
{
	TANK  = { r =   0, g = 210, b = 255 },	-- | Brown			-> Tanks
	MPDPS = { r = 255, g =   0, b =   0 },	-- | Red			-> Melee Physical DPS
	RPDPS = { r = 255, g = 230, b =   0 },	-- | Orange			-> Ranged Physical DPS
	RMDPS = { r = 255, g = 120, b =   0 },	-- | Yellow			-> Ranged Magical DPS
	MSUPP = { r =   0, g = 255, b = 230 },	-- | Lavender		-> Melee Support
	RSUPP = { r = 160, g = 255, b =   0 },	-- | Light Blue		-> Ranged Support
}

function GuidanceCounselor.Color( careerLine, colorType )
	
	local careerIconId		= Icons.GetCareerIconIDFromCareerLine( careerLine )
	local iconColor			= GuidanceCounselor.CareerIconIdToColorLikeIcon[careerIconId]
	local archetypeId		= GuidanceCounselor.CareerIconIdToArchetypeId[careerIconId]
	local archetypeColor	= GuidanceCounselor.ArchetypeIdToArchetypeColor[archetypeId]
	-- | local archetypeColor = GuidanceCounselor.ArchetypeIdToArchetypeColor[GuidanceCounselor.CareerIconIdToArchetypeId[careerIconId]]
	
	if colorType == "archetype" then
		return archetypeColor
	end
	
	if colorType == "icon" then
		return iconColor
	end
end
